//ESTIMETE THE JOINT PDF OF A PAIR OF RANDOM VARIABLES UNIFORMLY DISTRIBUTED 
//OVER THE UNIT CIRCLE. 
//Two random variables are generated independently x=rand(1) and y=rand(2).
//This would prodece3 a pair of random variables uniformly distributed over 
//the square 0<x<1 and 0<y<1.

clc;
clear all;
N=1000;                                     //Number of samples per iteration
bw=0.1;                                     //Bin width for histogram
xb=[-1.4:bw:1.4];
yb=[-1.4:bw:1.4];                           //Histogram bins
iterations=100;                             //Number of ierations
M=length(xb);
Nsamples=zeros(M,M);

count=0;                                    //Initialize matrix for storing 
                                            //data
for  ii=1:iterations
    x=2*rand(1,N)-1;
    y=2*rand(1,N)-1;                        //Generate vatiables over square
    
   //Keep only those within the unit circle
    X=[];Y=[];
    for k=1:N
        if  (x(k)^2+y(k)^2)<1
            X=[X x(k)];
            Y=[Y y(k)];
            
        end
    end
    count=count+length(X);                  //Count random samples generated
    
    //Compute number of samples that fall within each bin.
    for m=1:length(xb)
        for n=1:length(yb)
    temp1=(abs(X-xb(m))<bw/2)
    temp2=(abs(Y-yb(n))<bw/2)
    Nsamples(m,n)=Nsamples(m,n)+sum(temp1.*temp2)
    
    end
end
end
PDFest=Nsamples/(count*bw^2);               //Convert to probability 
                                            //densities
mesh(xb,yb,PDFest)                          //Plot estimate of joint PDF
xlabel('x');ylabel('y');                    //Label plot axes
zlabel('Joint PDF');
