//THIS EXAMPLE SHOWS HOW THE SAMPLE MEAN AND SAMPLE VARIANCE CONVERGE TO THE 
//TRUE MEAN FOR GAUSSIAN AND ARCSINE RANDOM VARIABLES.
//MEAN=3 AND THE VARIANCE OF EACH SAMPLE=1

clc();

N=100;

//Create Gaussian random variables

mu1=3;

sigmal=1;

X1=sigmal*rand(1,N)+mu1;

mu_hat1=cumsum(X1)./[1:N];            //sample means

//Create Arcsine random variables

mu2=3;

b=sqrt(2);

sigma2=b^2/2;

X2=b*cos(2*%pi*rand(1,N))+mu2;

mu_hat2=cumsum(X2)./[1:N];            //sample means

subplot(2,1,1);

plot([1:N],mu_hat1,'-',[1:N],mu1,'-')

xlabel('Samples,n','fontsize',2);
ylabel('Sample mean','fontsize',2);
title('Gaussian','fontsize',3)
mtlb_axis([0,N,0,2*mu1])
subplot(2,1,2);

plot([1:N],mu_hat2,'-',[1:N],mu2,'-')
xlabel('Samples,n','fontsize',2); 
ylabel('Sample mean','fontsize',2);
title('Arcsine','fontsize',3)
mtlb_axis([0,N,0,2*mu2])

