//ERGODIC RANDOM PROCESS.
//COMPARISON OF THE SAMPLE MEAN AND ENSEMBLE MEAN FOR THE SINUSOID WITH RANDOM 
//FREQUENCY.
//The solid line represents sample mean and the dashed line is ensemble mean.


clc();

f=4;                                      //Maximum frequency

N=1000;                                   //Number of realizations

t=[-4.995:0.01:4.995];                    //Time axis

F=f*rand(N,1);                           //Uniform frequencies

x=cos(2*%pi*F*t);                        //Each row is a ealization of process

z=sum(x,1)
sample_mean=z/N;                         //Compute sample mean

true_mean=(sin(2*%pi*f*t))./(2*%pi*f*t); //Compute ensemble mean

plot(t,sample_mean,'-');                 //Plot results
plot(t,true_mean,'--');

xlabel('t (seconds)');

ylabel('mu(t)');
