//REALIZATION OF RANDOM TELEGRAPH SIGNAL.
//LET T1,T2,T3,...BE A SEQUENCE OF IID RANDOM VARIABLES,EACH WITH AN EXPONENTIAL 
//DISTRIBUTION.AT ANY TIME INSTANTS X(t) TAKES 2 POSSIBLE STATES,X(t)=0 OR X(t)=1

clc();

N=10;                  //number of swithces in realization

Fs=100;                //sample rate (samples per second)

lambda=1/2;            //switching rate(switches per second)

X=[];

S=rand(1,N);           //uniform random variables

T=(-log(S))/lambda;      // transform to exponential RVs

V=cumsum(T);           //switching times

state=0;

Nsold=1;

for k=1:N
    Nsnew=ceil(V(k)*Fs);           //new switchim=ng time
    Ns=Nsnew - Nsold;              //Number of samples in current switching interval
    X=[X state*ones(1,Ns)];
    state=1-state;                 //switch state
    Nsold=Nsnew;
end

t=[1:length(X)]/Fs;                //time axis

plot2d(t,X);                         //plot results

xlabel('time, t');

ylabel('X(t)');


